#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "ddat.h"

void ddat_init(ddat_t *ddat){
  ddat->asize = 0;
  ddat->esize = 0;
  ddat->data = NULL;
  return;
}

int ddat_prepare(unsigned int alloc_size, ddat_t *ddat){
  double *tmp;

  if (ddat->data == NULL){
    ddat->data = (double*)malloc(sizeof(double) * alloc_size);
    ddat->asize = alloc_size;
    ddat->esize = ddat->asize;
  } else if (ddat->asize < alloc_size){
    tmp = (double*)realloc(ddat->data, sizeof(double) * alloc_size);
    if (tmp == NULL){
      fprintf(stderr, "malloc error at line %d in %s\n", __LINE__, __FILE__);
      return ERR_MALLOC;
    } else {
      ddat->data = tmp;
      ddat->asize = alloc_size;
      ddat->esize = ddat->asize;
    }
  } else {
    ddat->esize = alloc_size;
  }
  return 0;
}

void ddat_free(ddat_t *ddat){
  free(ddat->data);
  ddat->data = NULL;
  ddat->asize = 0;
  ddat->esize = 0;
  return;
}
