#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "fdat.h"

void fdat_init(fdat_t *fdat){
  fdat->asize = 0;
  fdat->esize = 0;
  fdat->data = NULL;
  return;
}

int fdat_prepare(unsigned int alloc_size, fdat_t *fdat){
  float *tmp;

  if (fdat->data == NULL){
    fdat->data = (float*)malloc(sizeof(float) * alloc_size);
    fdat->asize = alloc_size;
    fdat->esize = fdat->asize;
  } else if (fdat->asize < alloc_size){
    tmp = (float*)realloc(fdat->data, sizeof(float) * alloc_size);
    if (tmp == NULL){
      fprintf(stderr, "malloc error at line %d in %s\n", __LINE__, __FILE__);
      return ERR_MALLOC;
    } else {
      fdat->data = tmp;
      fdat->asize = alloc_size;
      fdat->esize = fdat->asize;
    }
  } else {
    fdat->esize = alloc_size;
  }
  return 0;
}

void fdat_free(fdat_t *fdat){
  free(fdat->data);
  fdat->data = NULL;
  fdat->asize = 0;
  fdat->esize = 0;
  return;
}
