#ifndef GRADS_WRT_H_INCLUDED
#define GRADS_WRT_H_INCLUDED
#include "ymdhm.h"
#include "grads_io.h"
#include "fdat.h"
#include "ddat.h"
#include "grib2_io.h"
#include "grib2_parm_table.h"
#include "grid_info.h"
#include "z2p.h"
#include "interp.h"
#include "const.h"
#include "gramap.h"

int grds_def(const char *fname_grib2, 
	     const grid_info_t *gi_out, const unsigned char pdef_use,
	     const unsigned int nz, const double *layer, const int kind_zcord,
	     const ymdhm_t *ymdhm, grds_t *grds);

int grds_def_sst(const char *fname_grib2, 
		 const grid_info_t *gi_out, const unsigned char pdef_use,
		 const ymdhm_t *ymdhm, grds_t *grds);

int grds_def_land(const char *fname_grib2, 
		  const grid_info_t *gi_out, const unsigned char pdef_use,
		  const unsigned int nz, const double *layer, 
		  const ymdhm_t *ymdhm, grds_t *grds);

int grds_def_ra(const char *fname_grib2, 
		const grid_info_t *gi_out, const unsigned char pdef_use,
		const ymdhm_t *ymdhm, grds_t *grds);

int grds_def_latlon(const char *fname_grib2, 
		    const grid_info_t *gi_out, const unsigned char pdef_use,
		    const ymdhm_t *ymdhm, grds_t *grds);

int grds_write_latlon(const grid_info_t *gi,  grds_t *grds);

int grds_wrt_map(const char *fname_map_in, const char *fname_map_out, 
		 grid_info_t *gi);

#endif
