#ifndef ENCODE_GRIB2_H_INCLUDED
#define ENCODE_GRIB2_H_INCLUDED

#include <stdio.h>
#include <float.h>
#include "grib2_io.h"
#include "ymdhm.h"
#include "typedef.h"
#include "endian.h"
#include "grid_info.h"
#include "grib2_parm_table.h"
#include "nwpl_mapproj_df.h"
#include "nwpl_map_earth.h"


int grib2_write_end(const grib2_t *grib2);
int grib2_write_sec0123(const N_UI1 earth_shape, 
			const grid_info_t *gi, grib2_t *grib2_in, 
			grib2_t *grib2_wrt);
int grib2_write_sec4567(const char *elem_in, 
			const N_UI2 cutoff_time_hour, 
			const N_UI1 cutoff_time_min,
			const N_SI4 term,
			const N_UI4 layer_kind, const double *layer_in, 
			const N_UI4 nz, 
			ymdhm_t *eymdhm_in, 
			const float *data_in, 
			grib2_t *grib2_wrt);

#endif
