#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "grib2_parm_table.h"

int grib2_get_parm(char elem[], unsigned char *parm_cat, unsigned char *parm_num){

  if (memcmp(elem, "U     ", 6) == 0){
    *parm_cat = 2;
    *parm_num = 2;
  } else if (memcmp(elem, "V     ", 6) == 0){
    *parm_cat = 2;
    *parm_num = 3;
  } else if (memcmp(elem, "W     ", 6) == 0){
    *parm_cat = 2;
    *parm_num = 9;
  } else if (memcmp(elem, "Z     ", 6) == 0 
	     || memcmp(elem, "ZS    ", 6) == 0){
    *parm_cat = 3;
    *parm_num = 5;
  } else if (memcmp(elem, "PT    ", 6) == 0){
    *parm_cat = 0;
    *parm_num = 2;
  } else if (memcmp(elem, "T     ", 6) == 0){
    *parm_cat = 0;
    *parm_num = 0;
  } else if (memcmp(elem, "QV    ", 6) == 0){
    *parm_cat = 1;
    *parm_num = 2;
  } else if (memcmp(elem, "QC    ", 6) == 0){
    *parm_cat = 1;
    *parm_num = 22;
  } else if (memcmp(elem, "QR    ", 6) == 0){
    *parm_cat = 1;
    *parm_num = 24;
  } else if (memcmp(elem, "QCI   ", 6) == 0){
    *parm_cat = 1;
    *parm_num = 23;
  } else if (memcmp(elem, "QS    ", 6) == 0){
    *parm_cat = 1;
    *parm_num = 25;
  } else if (memcmp(elem, "QG    ", 6) == 0){
    *parm_cat = 1;
    *parm_num = 32;
  } else if (memcmp(elem, "P     ", 6) == 0 
	     || memcmp(elem, "Psurf  ", 6) == 0){
    *parm_cat = 3;
    *parm_num = 0;
  } else if (memcmp(elem, "PSEA  ", 6) == 0 
	     || memcmp(elem, "MSLP  ", 6) == 0){
    *parm_cat = 3;
    *parm_num = 1;
  } else if (memcmp(elem, "RAIN  ", 6) == 0){
    *parm_cat = 1;
    *parm_num = 8;
  } else if (memcmp(elem, "TUGD  ", 6) == 0){
    *parm_cat = 0;
    *parm_num = 2;
  } else if (memcmp(elem, "SST   ", 6) == 0){
    *parm_cat = 3;
    *parm_num = 0;
  } else if (memcmp(elem, "KIND  ", 6) == 0){
    *parm_cat = 192;
    *parm_num = 0;
  } else if (memcmp(elem, "RR60  ", 6) == 0){
    *parm_cat = 1;
    *parm_num = 200;
  } else {
    *parm_cat = 0xff;
    *parm_num = 0xff;
    fprintf(stderr, "A element %s is not found.\n", elem);
    return ERR_GRIB2_PARM_NOT_FOUND;
  }

  return 0;
}
