#ifndef GRID_INFO_H_INCLUDED
#define GRID_INFO_H_INCLUDED

#include "grib2_io.h"
#include "parse_config.h"
#include "nwpl_mapproj_df.h"
#include "nwpl_map_earth.h"

typedef struct grid_info_t{
  char proj[5];
  N_UI4 nx;
  N_UI4 ny;
  N_UI4 nxy;
  double dx;
  double dy;
  double xi;
  double xj;
  double xlat;
  double xlon;
  double slat1;
  double slat2;
  double slon;

} grid_info_t;

void grid_info_set_from_config_h(const config_h_t *config_h, grid_info_t *gi);
void grid_info_set_from_sec3(sec3_t *sec3, grid_info_t *gi);
void grid_info_print(grid_info_t *gi);

#endif
