#ifndef INTERP_H_INCLUDED
#define INTERP_H_INCLUDED

#include "typedef.h"
#include "nwpl_mapproj_df.h"
#include "nwpl_map_earth.h"
#include "grid_info.h"
#include "const.h"


typedef struct interp_2d_w_t{
  double *t11;
  double *t12;
  double *t21;
  double *t22;
  double *fi;
  double *fj;
  N_UI4 nx;
  N_UI4 ny;
  N_UI1 allow_out_domain;
} interp_2d_t;


int interp_prepare(const grid_info_t *gi_in, const grid_info_t *gi_out, 
		   const N_UI1 allow_out_domain,
		   interp_2d_t *i2d_w);

void interp_run(const grid_info_t *gi_in, const grid_info_t *gi_out,
               const unsigned int nz, 
	       const interp_2d_t *i2d_w, 
	       const float data_ln[], float data_ll[]);

void interp_nearest_run(const grid_info_t *gi_in, const grid_info_t *gi_out,
		       const unsigned int nz, 
		       const interp_2d_t *i2d_w, 
		       const float data_ln[], float data_ll[]);


int interp_wndrot(const grid_info_t *gi_in, const grid_info_t *gi_out, 
		  const unsigned int nz,
                  const double *fi, const double *fj, 
                  float *u, float *v);

int interp_mxme(const grid_info_t *gi_in, const grid_info_t *gi_out, 
		const unsigned int ope, 
		const float *data_in, float *data_out);


#endif
