#ifndef PARSE_CONFIG_H_INCLUDED
#define PARSE_CONFIG_H_INCLUDED

#include "typedef.h"

#define KIND_I4 0
#define KIND_R4 1
#define KIND_R8 2
#define KIND_PROJ 3

#define SHIFT_BIT_PROJ 0
#define SHIFT_BIT_NX 1
#define SHIFT_BIT_NY 2
#define SHIFT_BIT_DX 3
#define SHIFT_BIT_DY 4
#define SHIFT_BIT_XLAT 5
#define SHIFT_BIT_XLON 6
#define SHIFT_BIT_XI 7
#define SHIFT_BIT_XJ 8
#define SHIFT_BIT_SLAT1 9
#define SHIFT_BIT_SLAT2 10
#define SHIFT_BIT_SLON 11

#define SHIFT_BIT_POUT 0


typedef struct config_h_t{
  char proj[5];
  N_UI4 nx;
  N_UI4 ny;
  double dx;
  double dy;
  double xlat;
  double xlon;
  double xi;
  double xj;
  double slat1;
  double slat2;
  double slon;
} config_h_t;

typedef struct config_v_t{
  unsigned int pnum;
  double *pout;
} config_v_t;

int parse_config_h(const char *fname, config_h_t *config_h);
int parse_config_v(const char *fname, config_v_t *config_v);
void parse_config_print_config_h(const config_h_t *config_h);
void parse_config_print_config_v(const config_v_t *config_v);


#endif
