#ifndef TYPEDEF_H
#define TYPEDEF_H

#include <float.h>

#ifdef HAVE_CONFIG_H
#  include "config.h"
#endif

#if SIZEOF_CHAR == 1
#define N_UI1 unsigned char
#define N_SI1 char
#endif

#if SIZEOF_SHORT == 2
#define N_UI2 unsigned short
#define N_SI2 short
#else
#if SIZEOF_INT == 2
#define N_UI2 unsigned int
#define N_SI2 int
#endif
#endif

#if SIZEOF_INT == 4
#define N_UI4 unsigned int
#define N_SI4 int
#else
#if SIZEOF_LONG == 4
#define N_UI4 unsigned long
#define N_SI4 long
#endif
#endif

#if SIZEOF_LONG_LONG == 8
#define N_UI8 unsigned long long
#define N_SI8 long long
#else
#if SIZEOF_LONG == 8
#define N_UI8 unsigned long
#define N_SI8 long
#endif
#endif

#define LAYER_SURFACE 1
#define LAYER_ISOBAR 100
#define LAYER_MSL 101
#define LAYER_HYBRID 105
#define LAYER_UGD 106

#define MISSING FLT_MAX
#define GRDS_UNDEF 9.9e20

#define JMA_KIND_ATM 0
#define JMA_KIND_LAND 2
#define JMA_KIND_OCEAN 10
#define JMA_KIND_RA 200

#define INTERP_OPE_NEAR 0
#define INTERP_OPE_MEAN 1
#define INTERP_OPE_MAX 2

/* earth shape */
#define EARTH_SHAPE_SPHERE_USERRAD 1
#define EARTH_SHAPE_GRS80 4

/* return code */
#define ERR_UNSUPPORTED_PROJ_TEMPLATE 101
#define ERR_UNSUPPORTED_PROD_TEMPLATE 102
#define ERR_UNSUPPORTED_REP_TEMPLATE 103
#define ERR_UNKNOWN_GRIDINFO_PROJ 150
#define ERR_UNKNOWN_GRIB2 50

#define ERR_OPT_NOFILE_SPECIFIED 200
#define ERR_OPT_DUP_FILE 201
#define ERR_OPT_INVARID 202

#define ERR_MALLOC -10
#define ERR_IO_OPEN -11

#define ERR_CONFIG_HV_INSUFFICIENT 210

#define ERR_GPV_INVALID_FORMAT 220

#define ERR_GRDS_IO_INCONSISTENT_WRITE 230

#define ERR_INTERP_OUT_OF_DOMAIN 240

#define ERR_GRIB2_SHORT_BUF 250

#define ERR_GRIB2_SEC0 300
#define ERR_GRIB2_SEC0_NO_GRIB 301
#define ERR_GRIB2_SEC0_NO_GRIB2 302

#define ERR_GRIB2_SEC1 310
#define ERR_GRIB2_SEC2 320
#define ERR_GRIB2_SEC3 330
#define ERR_GRIB2_SEC4 340
#define ERR_GRIB2_SEC5 350
#define ERR_GRIB2_SEC6 360
#define ERR_GRIB2_SEC7 370

#define ERR_GRIB2_NOT_FOUND_DATA 400
#define ERR_GRIB2_UNKNOWN_SEC_NUMBER 410
#define ERR_GRIB2_PARM_NOT_FOUND 420

#define ERR_POUT_ORDER 500

#endif
