#ifndef Z2P_H_INCLUDED
#define Z2P_H_INCLUDED

#include "grid_info.h"

typedef struct z2p_info_t{
  N_UI4 pnum;
  N_UI4 nxy;
  N_UI1 udg_miss;
  double *pout;
  N_UI4 *ip;
  double *wp0;
  double *wp1;
} z2p_info_t;

int z2p_ini(int pnum, grid_info_t *gi_ln, unsigned char ugd_miss, 
	    z2p_info_t *z2p, double *pout);
int z2p_pre(const int nz, const float press[], z2p_info_t *z2p);
int z2p_temp_run(const z2p_info_t *z2p,
		 const float p_surf[], 
                 const float temp_in[], float temp_out[]);
int z2p_gph_run(const z2p_info_t *z2p, const float zs[], const float z_f[], 
		const float temp_surf[],  
		const float temp_out[], 
		float gph_out[]);
int z2p_gen_run(const z2p_info_t *z2p, 
                const float fld_in[], float fld_out[]);


#endif
